Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class MarkupDefinition

    java.lang.Object
      com.bea.netuix.application.definition.MarkupDefinition

All Implemented Interfaces
  Serializable

    public class MarkupDefinition

extends Object
implements Serializable

This class represents a persistent markup for all WebLogic Portal Framework entities.

See Also
  Serialized Form

Field Summary
`static MarkupDefinitionId` | `MARKUP_BOOK_ID`
`static MarkupDefinitionId` | `MARKUP_BOOK_NO_MIN_NO_MAX_ID`
`static MarkupDefinitionId` | `MARKUP_BOOK_VISITOR_TOOL_ID`
`static MarkupDefinitionId` | `MARKUP_DESKTOP_ID`
`static MarkupDefinitionId` | `MARKUP_JAVA_PORTLET_ID`
`static MarkupDefinitionId` | `MARKUP_PAGE_ID`
`static MarkupDefinitionId` | `MARKUP_SIMPLE_PORTLET_ID`

Constructor Summary
`MarkupDefinition(String name, String type, String webAppName, String markupFile, String beginXml, String endXml)` Constructor to create a new `MarkupDefinition` object.

Method Summary
`boolean` | `equivalent(MarkupDefinition other)` Are these two markups equivalent in name, type, beginXML, endXML, webappName, markupfile
`String` | `getBeginXml()` Returns the begin xml fragment for this markup.
`String` | `getEndXml()` Returns the end xml fragment for this markup.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for this markup.
`String` | `getMarkupFile()` Returns the path to the markup file for this markup.
`String` | `getName()` Returns the name of this markup
`String` | `getType()` Returns the type of this markup.
`String` | `getWebAppName()` Returns the web application this markup is scoped to
`void` | `setBeginXml(String beginXml)` Sets the begin xml fragment for this markup.
`void` | `setEndXml(String endXml)` Sets the end xml fragment for this markup.
`void` | `setMarkupFile(String markupFile)` Sets the markup file path for this markup.
`void` | `setName(String name)` Sets the name of this markup
`void` | `setType(String type)` Sets the type of this markup.
`void` | `setWebAppName(String webAppName)` Scopes this markup to given web application
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MARKUP_BOOK_VISITOR_TOOL_ID

    public static final MarkupDefinitionId MARKUP_BOOK_VISITOR_TOOL_ID

### MARKUP_BOOK_NO_MIN_NO_MAX_ID

    public static final MarkupDefinitionId MARKUP_BOOK_NO_MIN_NO_MAX_ID

### MARKUP_BOOK_ID

    public static final MarkupDefinitionId MARKUP_BOOK_ID

### MARKUP_PAGE_ID

    public static final MarkupDefinitionId MARKUP_PAGE_ID

### MARKUP_SIMPLE_PORTLET_ID

    public static final MarkupDefinitionId MARKUP_SIMPLE_PORTLET_ID

### MARKUP_JAVA_PORTLET_ID

    public static final MarkupDefinitionId MARKUP_JAVA_PORTLET_ID

### MARKUP_DESKTOP_ID

    public static final MarkupDefinitionId MARKUP_DESKTOP_ID

Constructor Detail

### MarkupDefinition

    public MarkupDefinition(String name,
                            String type,
                            String webAppName,
                            String markupFile,
                            String beginXml,
                            String endXml)

  Constructor to create a new `MarkupDefinition` object.

  Parameters
    `name` - name of this markup
    `type` - type of this markup from the following list
    - `MarkupView.BOOK_TYPE`
    - `MarkupView.DESKTOP_TYPE`
    - `MarkupView.PAGE_TYPE`
    - `MarkupView.PLACEHOLDER_TYPE`
    - `MarkupView.PORTLET_TYPE`
    - `MarkupView.LAYOUT_TYPE`
    - `MarkupView.LOOK_AND_FEEL_TYPE`
    - `MarkupView.MENU_TYPE`
    - `MarkupView.THEME_TYPE`
    - `MarkupView.SHELL_TYPE`
    `webAppName` - name of J2EE web application this markup is scoped to
    `markupFile` - path to the markup file. This path is relative to the web application context
    `beginXml` - xml fragment that begins this markup
    `endXml` - xml fragment that ends this markup

Method Detail

### getName

    public String getName()

  Returns the name of this markup

  Returns
    markup name

### setName

    public void setName(String name)

  Sets the name of this markup

  Parameters
    `name` -

### getType

    public String getType()

  Returns the type of this markup.

  Returns
    markup type

### setType

    public void setType(String type)

  Sets the type of this markup.

  Parameters
    `type` -

### getWebAppName

    public String getWebAppName()

  Returns the web application this markup is scoped to

  Returns
    web application name

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this markup to given web application

  Parameters
    `webAppName` -

### getMarkupFile

    public String getMarkupFile()

  Returns the path to the markup file for this markup. This path is relative to the web application context.

  Returns
    markup file path

### setMarkupFile

    public void setMarkupFile(String markupFile)

  Sets the markup file path for this markup.

  Parameters
    `markupFile` -

### getBeginXml

    public String getBeginXml()

  Returns the begin xml fragment for this markup.

  Returns
    begin xml fragment

### setBeginXml

    public void setBeginXml(String beginXml)

  Sets the begin xml fragment for this markup.

  Parameters
    `beginXml` -

### getEndXml

    public String getEndXml()

  Returns the end xml fragment for this markup.

  Returns
    end xml fragment

### setEndXml

    public void setEndXml(String endXml)

  Sets the end xml fragment for this markup.

  Parameters
    `endXml` -

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for this markup. Returns null if this markup has not been retrieved using the persistence API.

  Returns
    `MarkupDefinitionId`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equivalent

    public boolean equivalent(MarkupDefinition other)

  Are these two markups equivalent in name, type, beginXML, endXML, webappName, markupfile

  Parameters
    `other` - the other MarkupDefinition
  Returns
    true if they are equivalent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.